%define upstream_name Horde_Rpc
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	2.1.1
Release:     	%mkrel 2
Summary:    	Horde RPC API
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildRequires: 	php-pear-channel-horde
Requires:    	php-pear >= 1.7.0
Requires: 	php-pear-channel-horde
Requires: 	php-pear-Horde_Core >= 2.5.0
Requires: 	php-pear-Horde_Core < 3.0.0alpha1
Requires: 	php-pear-Horde_Dav >= 1.0.0
Requires: 	php-pear-Horde_Dav < 2.0.0alpha1
Requires: 	php-pear-Horde_Exception >= 2.0.0
Requires: 	php-pear-Horde_Exception < 3.0.0alpha1
Requires: 	php-pear-Horde_Perms >= 2.0.0
Requires: 	php-pear-Horde_Perms < 3.0.0alpha1
Requires: 	php-pear-Horde_Serialize >= 2.0.0
Requires: 	php-pear-Horde_Serialize < 3.0.0alpha1
Requires: 	php-pear-Horde_Support >= 2.0.0
Requires: 	php-pear-Horde_Support < 3.0.0alpha1
Requires: 	php-pear-Horde_Translation >= 2.0.0
Requires: 	php-pear-Horde_Translation < 3.0.0alpha1
Requires: 	php-pear-Horde_Util >= 2.0.0
Requires: 	php-pear-Horde_Util < 3.0.0alpha1
Requires: 	php-pear-Horde_Xml_Element >= 2.0.0
Requires: 	php-pear-Horde_Xml_Element < 3.0.0alpha1
BuildArch:  	noarch

%description
The Horde_Rpc library provides a common abstracted interface to various
remote methods of accessing Horde functionality.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Rpc.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Rpc.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Rpc
fi

%files
%doc docs/Horde_Rpc/*
%{peardir}/*
%{xmldir}/Horde_Rpc.xml


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-2.mga4
+ Revision: 545277
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 spuhler <spuhler> 2.1.1-1.mga4
+ Revision: 501016
- upgrade to version 2.1.1

* Thu Jun 06 2013 spuhler <spuhler> 2.1.0-1.mga4
+ Revision: 438552
- upgrade to ver. 2.1.0
- update Requires per upstream
- rearranged file section

* Sun Jan 13 2013 umeabot <umeabot> 1.0.3-2.mga3
+ Revision: 376616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Feb 10 2012 spuhler <spuhler> 1.0.3-1.mga2
+ Revision: 206799
- upgrade to 1.0.3

* Mon Nov 07 2011 spuhler <spuhler> 1.0.2-1.mga2
+ Revision: 164674
- upgrade to 1.0.2
- removed all the double Horde_Horde in the Requires and Conflicts
- imported package php-pear-Horde_Rpc

